petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatLUFactorSymbolic

Performs symbolic LU factorization of matrix. Call this routine before calling MatLUFactorNumeric().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatLUFactorSymbolic(Mat fact,Mat mat,IS row,IS col,const MatFactorInfo *info)

Collective on Mat Many br

### Input Parameters

| fact | - the factor matrix obtained with MatGetFactor() Many br
| mat | - the matrix Many br
| row, col | - row and column permutations Many br
| info | - options for factorization, includes Many br

             fill - expected fill as ratio of original fill.

             dtcol - pivot tolerance (0 no pivot, 1 full column pivoting)

                      Run with the option -info to determine an optimal value to use

Notes: See Users-Manual: ch_mat for additional information about choosing the fill factor for better efficiency. Many br

Most users should employ the simplified KSP interface for linear solvers Many brinstead of working directly with matrix algebra routines such as this. Many brSee, e.g., KSPCreate(). Many br

Many br

### See Also

MatLUFactor(), MatLUFactorNumeric(), MatCholeskyFactor(), MatFactorInfo, MatFactorInfoInitialize()

Developer Note: fortran interface is not autogenerated as the f90 Many brinterface defintion cannot be generated correctly [due to MatFactorInfo] Many br

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages